Name:          playonlinux
Version:       4.4
Release:       3mamba
Summary:       Play your Windows games on Linux
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.playonlinux.com/en
Source:        https://github.com/PlayOnLinux/POL-POM-4.git/%{version}/POL-POM-4-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libglvnd-devel
## AUTOBUILDREQ-END
Requires:      python-wxPython-py3
Requires:      python-natsort-py3
Requires:      jq
Requires:	   ImageMagick
Requires:	   wget
Requires:	   gettext
Requires:	   unzip
Requires:	   cabextract
Requires:	   xz
Requires:      p7zip
Requires:	   xterm
Requires: 	   /usr/bin/nc
#% ifarch x86_64
#Requires:	wine.i586
#% else
Requires:	   wine
#% endif
Requires:      icoutils

%description
is a piece of software which allows you to easily install and use numerous games and apps designed to run with Microsoft® Windows®.

#% debug_package

%prep
%setup -q -n POL-POM-4-%{version}

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d -m0755 %{buildroot}%{_sysconfdir}
#mv %{buildroot}%{_datadir}/%{name}/etc %{buildroot}%{_sysconfdir}/%{name}
#ln -s ../../../etc/%{name} %{buildroot}%{_datadir}/%{name}/etc

%find_lang pol

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f pol.lang
%defattr(-,root,root)
#%dir %{_sysconfdir}/%{name}
#%{_sysconfdir}/%{name}/*
%{_bindir}/%{name}
%{_bindir}/playonlinux-pkg
%{_prefix}/libexec/playonlinux-check_dd
%{_datadir}/appdata/PlayOnLinux.appdata.xml
%{_datadir}/applications/PlayOnLinux.desktop
%{_datadir}/pixmaps/playonlinux*.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/playonlinux-pkg.1*
%{_mandir}/man1/playonlinux.1*
%doc LICENCE

%changelog
* Mon Jan 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4-3mamba
- added needed requirements

* Tue Apr 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4-2mamba
- don't move internal etc dir to sysconfdir (upgrade problem and may not be useful)

* Sun Apr 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4-1mamba
- update to 4.4

* Fri Dec 28 2018 Automatic Build System <autodist@mambasoft.it> 4.3.4-1mamba
- automatic version update by autodist

* Sat Aug 26 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.12-1mamba
- update to 4.2.12
- x86_64: remove non-canonical requirement for wine.i586

* Wed Jul 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.10-2mamba
- require /usr/bin/nc instead of netcat and wine.i586 in x86_64 environment

* Sun Jan 10 2016 Automatic Build System <autodist@mambasoft.it> 4.2.10-1mamba
- automatic version update by autodist

* Mon Oct 05 2015 Automatic Build System <autodist@mambasoft.it> 4.2.9-1mamba
- automatic version update by autodist

* Tue May 26 2015 Automatic Build System <autodist@mambasoft.it> 4.2.8-1mamba
- automatic version update by autodist

* Wed May 06 2015 Automatic Build System <autodist@mambasoft.it> 4.2.7-1mamba
- automatic version update by autodist

* Sun Mar 01 2015 Automatic Build System <autodist@mambasoft.it> 4.2.6-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 4.2.5-1mamba
- automatic version update by autodist

* Fri Jul 18 2014 Automatic Build System <autodist@mambasoft.it> 4.2.4-1mamba
- automatic version update by autodist

* Mon Jul 14 2014 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic version update by autodist

* Thu Jan 02 2014 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic version update by autodist

* Thu May 16 2013 openmamba WebBuild System <webbuild@openmamba.org> 4.2.1-5mamba
- Fixed permissions

* Wed May 15 2013 openmamba WebBuild System <webbuild@openmamba.org> 4.2.1-4mamba
- Added launcher in /usr/bin

* Wed May 15 2013 openmamba WebBuild System <webbuild@openmamba.org> 4.2.1-3mamba
- Fixed the specfile

* Wed May 15 2013 openmamba WebBuild System <webbuild@openmamba.org> 4.2.1-2mamba
- Fixed requirements

* Tue May 14 2013 openmamba WebBuild System <webbuild@openmamba.org> 4.2.1-1mamba
- package created by ercolinux using the webbuild interface
